Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79670 - VP_IDE (VIA vt8235) fails with FX4830T CD-ROM
Summary: VP_IDE (VIA vt8235) fails with FX4830T CD-ROM
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-14 20:36 UTC by John Reiser
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:17 UTC


Attachments (Terms of Use)
messages from booting (deleted)
2002-12-14 20:37 UTC, John Reiser
no flags Details
/etc/sysconfig/hwconf (deleted)
2002-12-14 20:38 UTC, John Reiser
no flags Details
output from "lspci -vn" (deleted)
2002-12-14 20:39 UTC, John Reiser
no flags Details
output from "lspci -vvx" (deleted)
2002-12-14 20:39 UTC, John Reiser
no flags Details
/proc/ide/via after recompile to VIA_UDMA_100 (deleted)
2002-12-14 20:43 UTC, John Reiser
no flags Details
/var/log/messages syslog (deleted)
2002-12-14 20:44 UTC, John Reiser
no flags Details
change from VIA_UDMA_133 to VIA_UDMA_100 (deleted)
2002-12-14 20:47 UTC, John Reiser
no flags Details | Diff
dmesg from good 2.4.18-3BOOT (deleted)
2002-12-14 21:51 UTC, John Reiser
no flags Details

Description John Reiser 2002-12-14 20:36:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
kernel-2.4.18-18.7.3 fails to drive a FX4830T ATAPI CD-ROM, even when
PCI_DEVICE_ID_VIA_8235 is recompiled to VIA_UDMA_100 instead of VIA_UDMA_133. 
dmesg errors begin with
-----
VP_IDE: VIA vt8235 (rev 00) IDE UDMA100 controller on pci00:11.1
    ide0: BM-DMA at 0xfc00-0xfc07, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xfc08-0xfc0f, BIOS settings: hdc:DMA, hdd:pio
hda: ST320413A, ATA DISK drive
hdc: FX4830T, ATAPI CD/DVD-ROM drive
hdc: ATAPI 1X DVD-ROM DVD-RAM CD-R/RW drive, 8467kB Cache
hdc: status error: status=0x58 { DriveReady SeekComplete DataRequest }
hdc: drive not ready for command
hdc: status timeout: status=0xd1 { Busy }
hdc: drive not ready for command
hdc: ATAPI reset complete
-----
and there are many more.  The immediate symptoms are a hang for 1 to 2 minutes
during boot, just after "Enabling swap space", and another hang for a couple
minutes at boot during loading of keyboard layout, and another hang for a couple
minutes in bringing up graphical desktop just after login.

(The first inconsistency is "hdc: ATAPI 1X DVD-ROM DVD-RAM CD-R/RW drive"
because it is actually a Mitsumi CD-ROM only, with moderately high speed
[maximum 24X or 48X, I think].)

The same hardware has no trouble booting from CD-ROM to update the system
[that's how the initial upgrade to 2.4.18-17.7.3 {yes, "17": as of Nov.1, 2002}
was accomplished], or booting "linux rescue" from CD-ROM (KRUD Linux 2002-11-01:
RHL7.3 with all updates as of that date) to transfer new
kernel-2.4.18-18.7.3.i686.rpm via scp over eth0, and then "rpm --install".  The
same hardware drove the CD-ROM correctly using either kernel 2.4.18-10 or
2.4.18-5 [after a recompile to enable PCI_DEVICE_ID_VIA_8235 by removing it from
FUTURE_BRIDGES, and use VIA_UDMA_100.]

Configuration: AMD Duron 1.2GHz, MSI KT3 Ultra2 mainboard (VIA KT333),
256MB PC2700 DDR (333MHz).  RHL7.3 Workstation or Personal workstation
installed.  Other log and diagnostic files will be attached.
ide0 has 80-wire UDMA cable, only device is harddrive as Master; ide1 has
40-wire non-UDMA cable, only device is CD-ROM as Master. 

Version-Release number of selected component (if applicable):
2.4.18-18.7.3

How reproducible:
Always

Steps to Reproduce:
1.Attempt to boot RHL7.3 with kernel 2.4.18-18.7.3.
2.
3.
    

Actual Results:  Hang for 1 to 2 minutes just after "Enabling swap space"; hang
for a couple minutes loading keyboard map and/or linuxconf; hang for a couple
minutes brining up graphical desktop.  Harddisk filesystems and eth0 work
correctly; login is possible.  CD-ROM cannot be used at all.

Expected Results:  Normal boot, no hangs.  CD-ROM works normally.

Additional info:

Comment 1 John Reiser 2002-12-14 20:37:56 UTC
Created attachment 88726 [details]
messages from booting

Comment 2 John Reiser 2002-12-14 20:38:40 UTC
Created attachment 88727 [details]
/etc/sysconfig/hwconf

Comment 3 John Reiser 2002-12-14 20:39:15 UTC
Created attachment 88728 [details]
output from "lspci -vn"

Comment 4 John Reiser 2002-12-14 20:39:42 UTC
Created attachment 88729 [details]
output from "lspci -vvx"

Comment 5 John Reiser 2002-12-14 20:43:16 UTC
Created attachment 88730 [details]
/proc/ide/via after recompile to VIA_UDMA_100

Under original 2.4.18-18.7.x using VIA_UDMA_133, ide1 (CD-ROM) is diagnosed as
having an 80-wire cable, but there are only 40 wires.  ide0 (harddrive) does
have an 80-wire cable.

Comment 6 John Reiser 2002-12-14 20:44:14 UTC
Created attachment 88731 [details]
/var/log/messages syslog

Comment 7 John Reiser 2002-12-14 20:47:50 UTC
Created attachment 88732 [details]
change from VIA_UDMA_133 to VIA_UDMA_100

Changing to 100MHz UDMA was just a guess based on the first error message
showing apparently normal "status=0x58 { DriveReady SeekComplete DataRequest
}".  Anyway, the behavior at 133MHz is essentially the same.

Comment 8 John Reiser 2002-12-14 20:56:36 UTC
The ISA bridge has PCI ids of 0x1106:0x3177.  The hardcopy documentation for the
mainboard, and dmesg, and the kernel source include/linux/pci_ids.h say that is
VT8235.  However, both hwconf and lspci say that is a VT8233A.  Hmmm.

Comment 9 John Reiser 2002-12-14 21:51:29 UTC
Created attachment 88734 [details]
dmesg from good 2.4.18-3BOOT

"dmesg" after BIOS boot from CD-ROM using 2.4.18-3BOOT (KRUD Linux 7.3
2002-11-01: RHL7.3 plus all patches as of that date) which reveals that the
CD-ROM is 48X:
-----
hdc: ATAPI 48X CD-ROM drive, 128kB Cache
-----

Comment 10 John Reiser 2002-12-16 21:33:34 UTC
Workaround: Vojtech Pavlik's patch works for me:
http://groups.google.com/groups?hl=en&lr=&ie=UTF-8&oe=UTF-8&threadm=3DFC81C2.4020807%40tin.it&rnum=1&prev=/groups%3Fq%3DIDE-CD%2Band%2BVT8235%2Bissue!!!%26ie%3DUTF-8%26oe%3DUTF-8%26hl%3Den

I considered using the via82cxxx.[ch] from linux-2.4.20-ac2 at kernel.org, but
it was much more difficult to integrate into kernel-2.4.18-18.7.x, even after
noticing the directory structure difference drivers/ide/pci vs drivers/ide. 
Voytech's patch applied to kernel-2.4.18-18.7.x with only minor fuzz, and
compiled on the first attempt.


Comment 11 Bugzilla owner 2004-09-30 15:40:17 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.